package at.jku.students;

import at.jku.ssw.Iterator;

/** An iterator for traversing a sorted set backed by a binary tree. */
public class BinaryTreeIterator extends Iterator {
  
  private char[] values;
  private int index;
  
  BinaryTreeIterator(char[] values) {
    this.values = values;
    index = 0;
  }
  
  /** Returns true if the iteration has more values. */
  public boolean hasNext() {
    return index < values.length;
  }
  
  /** Returns the next value in the iteration. */
  public char next() {
    return values[index++];
  }
  
}